[BUG] Cloudflare Pages - Zola build fails

Hey,

I’m using pages for the first time to deploy a static site powered by Zola.
However, after selecting Zola as the option for the build engine, the build fails because for some reason it has set up a Hugo build server instead of a Zola build server.

09:26:06.927	Initializing build environment. This may take up to a few minutes to complete
09:27:57.887	Success: Finished initializing build environment
09:27:57.887	Cloning repository...
09:27:59.795	Success: Finished cloning repository files
09:28:00.427	Installing dependencies
09:28:00.430	Python version set to 2.7
09:28:02.344	v12.18.0 is already installed.
09:28:02.746	Now using node v12.18.0 (npm v6.14.4)
09:28:02.778	Started restoring cached build plugins
09:28:02.783	Finished restoring cached build plugins
09:28:02.877	Attempting ruby version 2.7.1, read from environment
09:28:03.658	Using ruby version 2.7.1
09:28:03.861	Using PHP version 5.6
09:28:03.887	5.2 is already installed.
09:28:03.891	Using Swift version 5.2
09:28:03.892	Installing Hugo 0.54.0
09:28:04.504	Hugo Static Site Generator v0.54.0-B1A82C61A/extended linux/amd64 BuildDate: 2019-02-01T10:04:38Z
09:28:04.505	Started restoring cached go cache
09:28:04.508	Finished restoring cached go cache
09:28:04.527	go version go1.14.4 linux/amd64
09:28:04.530	go version go1.14.4 linux/amd64
09:28:04.532	Installing missing commands
09:28:04.532	Verify run directory
09:28:04.532	Executing user command: zola build
09:28:04.533	/opt/build/bin/build: line 39: zola: command not found
09:28:04.533	Failed: build command exited with code: 127

So I found my answer in the docs.

ZOLA_VERSION is required as an environment variable otherwise it wont know which version to use.

An error message explaining such would be helpful I guess.

2 Likes

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.